#!/usr/bin/env python3
import random

n = 50
m = 50
sol = [[2*(n-i) for j in range(n)] for i in range(n)]
neige = [[100 if i<5*n/10 and i>2*n/10 and j>3*n/10 and j<7*n/10 else 0 for j in range(n)] for i in range(n)]
positions = [(i,j) for i in (-1,0,1) for j in (-1,0,1)]


for i in range(m+1):
    
